package pxds.czbe.twvj

import android.content.Intent
import com.test.basd.supercleanermax.databinding.ZwxfflBinding
import fsir.tqqe.Ausa
import pxds.apch.ldfl.lijc.Xxkn
import pxds.dlpf.buoz.fico.Dsce
import pxds.dlpf.buoz.fico.Dsce.APP_MANAGER
import pxds.dlpf.buoz.fico.Dsce.BATTERY_INFO
import pxds.dlpf.buoz.fico.Dsce.LARGE_FILE_CLEANER
import pxds.dlpf.buoz.fico.Dsce.NETWORK_TRAFFIC
import pxds.dlpf.buoz.fico.Dsce.NOTIFICATION_CLEANER
import pxds.dlpf.buoz.fico.Dsce.PHOTO_COMPRESS
import pxds.dlpf.buoz.fico.Dsce.RECENT_APP_USAGE
import pxds.dlpf.buoz.fico.Dsce.SIMILAR_PHOTOS
import pxds.etmo.Ffhe
import pxds.etmo.Fjda
import pxds.etmo.Jmut
import pxds.etmo.Jmyh
import pxds.etmo.Ngma
import pxds.etmo.Ozev
import pxds.etmo.Vryl
import pxds.hpls.xkxo.Xlwg
import pxds.lmmd.zmwf.Khko.toFormatSize
import pxds.lmmd.zmwf.Uawv
import pxds.lmmd.zmwf.Wecj

class Sdpo : Wecj<ZwxfflBinding>() {

    private lateinit var adapter: Xlwg

    override val binding: ZwxfflBinding by lazy {
        ZwxfflBinding.inflate(layoutInflater)
    }

    override fun setView() {
        adapter = Xlwg(requireActivity()) { kName ->
            when (kName) {
                Dsce.JUNK_CLEANER -> {
                    startActivity(Intent(requireContext(), Vryl::class.java))
                }

                RECENT_APP_USAGE -> {
                    startActivity(Intent(requireActivity(), Ngma::class.java))
                }

                LARGE_FILE_CLEANER -> {
                    startActivity(Intent(requireContext(), Ozev::class.java))
                }

                NOTIFICATION_CLEANER -> {
                    startActivity(Intent(requireActivity(), Xxkn::class.java))
                }

                NETWORK_TRAFFIC -> {
                    startActivity(Intent(requireContext(), Ffhe::class.java))
                }

                APP_MANAGER -> {
                    startActivity(Intent(requireContext(), Jmyh::class.java))
                }

                SIMILAR_PHOTOS -> {
                    startActivity(Intent(requireContext(), Fjda::class.java))
                }

                PHOTO_COMPRESS -> {
                    startActivity(Intent(requireActivity(), Ausa::class.java))
                }

                BATTERY_INFO -> {
                    startActivity(Intent(requireActivity(), Jmut::class.java))
                }

            }
        }
        binding.djsaxwg.adapter = adapter

    }

    override fun onResume() {
        super.onResume()
        val split = Uawv.junkSizeClean.toFormatSize(1).split(' ')
    }
}